<script type="text/javascript">
    function addIndex(column, isUnique)
    {
        var indexName = prompt('<?php echo common::lang('Please enter the name of the new index:'); ?>', '');
        var unique = isUnique ? '&unique=1' : '&unique=0';
        if (indexName && indexName.match(/^[a-z0-9_]+$/i))
        {
            location.href = '<?php echo common::url("index.php?do=2&table=$tableName&action=addindex"); ?>&column=' + column + '&index=' + indexName + unique;
        }
    }
</script>
<div style="margin-bottom:20px; padding: 5px; width: 25%" class="ui-dialog-titlebar ui-widget-header ui-corner-all ui-helper-clearfix"><?php echo common::lang('Table structure for '); ?> <i><?php echo $tableName; ?></i></div>
<?php echo common::generateMenu($tableName, 2) ?>
<div id="main">
    <table border="0" class="results" style="width:100%">
        <tr>
            <th class="actions">&nbsp;</th>
            <th><?php echo common::lang('Column Name'); ?></th>
            <th><?php echo common::lang('Type'); ?></th>
            <th><?php echo common::lang('NULL'); ?></th>
            <th><?php echo common::lang('Default Value'); ?></th>
        </tr>
        <?php
        foreach ($structure as $s)
        {
            ?>
            <tr>
                <td>
                    <a title="Index" href="javascript: void(addIndex('<?php echo rawurlencode($s['name']); ?>', false))"><span class="ui-icon ui-icon-radio-on"></span></a>
                    <a title="Unique" href="javascript: void(addIndex('<?php echo rawurlencode($s['name']); ?>', true))"><span class="ui-icon ui-icon-bullet"></span></a>
                </td>
                <td><?php echo $s['name']; ?></td>
                <td><?php echo $s['type']; ?></td>
                <td><?php echo $s['notnull'] == 0 ? common::lang('Yes') : common::lang('No'); ?></td>
                <td><?php if ($s['dflt_value'] != '')
            echo $s['dflt_value']; else
            echo '&nbsp;'; ?></td>
            </tr>
            <?php
        }
        ?>
        <tr>
            <th><?printf(common::lang('%s column(s)'), $rowCount); ?></th>
            <th>&nbsp;</th>
            <th>&nbsp;</th>
            <th>&nbsp;</th>
            <th>&nbsp;</th>
        </tr>
    </table>
    <br />
    <table border="0" class="results" style="width:100%">
        <tr>
            <th class="actions">&nbsp;</th>
            <th><?php echo common::lang('Index Name'); ?></th>
            <th><?php echo common::lang('Column'); ?></th>
            <th><?php echo common::lang('Unique'); ?></th>
        </tr>
        <?php
        foreach ($indexes as $i)
        {
            ?>
            <tr>
                <td>
                    <a title="<?php echo common::lang('Drop'); ?>" href="<?php echo common::url("index.php?do=7&table=$tableName&action=dropindex&index=" . rawurlencode($i['name'])); ?>" onclick="return confirm('<?php echo common::lang('Are you sure you want to drop this index?'); ?>')"><span class="ui-icon ui-icon-trash"></span></a>
                </td>
                <td><?php echo $i['name']; ?></td>
                <td><?php echo $i['column']; ?></td>
                <td align="center"><?php echo $i['unique'] ? common::lang('Yes') : common::lang('No'); ?></td>
            </tr>
            <?php
        }
        ?>
    </table>
</div>